Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 07-24-04, 09:29 AM   #1
Pirf2
Registered User
 
Join Date: Jul 2004
Posts: 7
Question Installation Error newest driver on Kernel 2.6.8-0.rc1.2

Hi,

I cannot install the drivers on my system. I am using Mandrake 10.0c on Kernel 2.6.8-0.rc1.2mdk precompiled for P3-64GB-SMP.
System: P4 2,8, 1GB, MSI GF-FX 5700LE.

Anything else I could tell, is written in the installer log:
Quote:
nvidia-installer log file '/var/log/nvidia-installer.log'
creation time: Sat Jul 24 15:12:09 2004

option status:
license pre-accepted : false
update : false
force update : false
expert : false
uninstall : false
driver info : false
no precompiled interface: false
no ncurses color : false
query latest driver ver : false
OpenGL header files : false
no questions : false
silent : false
X install prefix : /usr/X11R6
OpenGL install prefix : /usr
Installer install prefix: /usr
kernel source path : /usr/src/linux-2.6.8-0.rc1.2mdk/
kernel install path : (not specified)
proc mount point : /proc
ui : (not specified)
tmpdir : /root/tmp
ftp site : ftp://download.nvidia.com

Using: nvidia-installer ncurses user interface
-> License accepted.
-> No precompiled kernel interface was found to match your kernel; would you li
ke the installer to attempt to download a kernel interface for your kernel f
rom the NVIDIA ftp site (ftp://download.nvidia.com)? (Answer: No)
-> No precompiled kernel interface was found to match your kernel; this means
that the installer will need to compile a new kernel interface.
-> Using the kernel source path '/usr/src/linux-2.6.8-0.rc1.2mdk/' as specified
by the '--kernel-source-path' commandline option.
-> Kernel source path: '/usr/src/linux-2.6.8-0.rc1.2mdk/'
-> Performing cc_version_check with CC="cc".
-> gcc-version-check failed:

Could not compile gcc-version-check.c

If you know what you are doing and want to ignore the gcc version check, sel
ect "No" to continue installation. Otherwise, select "Yes" to abort install
ation, set the CC environment variable to the name of the compiler used to c
ompile your kernel, and restart installation. Abort now? (Answer: No)
ERROR:
If you are using a Linux 2.4 kernel, please make sure
you either have configured kernel sources matching your
kernel or the correct set of kernel headers installed
on your system.

If you are using a Linux 2.6 kernel, please make sure
you have configured kernel sources matching your kernel
installed on your system.
ERROR: Installation has failed. Please see the file
'/var/log/nvidia-installer.log' for details. You may find suggestions
on fixing installation problems in the README available on the Linux
driver download page at www.nvidia.com.
But GCC ist up to date 3.4.1something, compiles everything else fine. CC ist linked on it. It does not matter, if I specify kernel-source-path, /lib/modules/.../build is also linked there, same behavior.

I also tried to set IGNORE_CC_MISMATCH=yes, then I does not display the first trouble anymore, but the last 2 ERRORarts are the same.

What did I do wrong?

THX,
Pirf2
Pirf2 is offline   Reply With Quote
Old 07-24-04, 11:24 AM   #2
Pirf2
Registered User
 
Join Date: Jul 2004
Posts: 7
Default Re: Installation Error newest driver on Kernel 2.6.8-0.rc1.2

Forgot to say: all kernel-sources are installed for the running kernel. In Mandrake these are 2 packages ...sources & ...sources-stripped.

The driver of the A**-Card I had before compiled properly with the same gcc and sources (after doing lot of patching on the driver-sources, since they really s*ck).

Hope I can get the Nvidia drivers running, because I bought this card for its better Linux-drivers. On windows my old card was probably performing better.

Greetz,
Pirf2
Pirf2 is offline   Reply With Quote
Old 07-28-04, 03:32 PM   #3
asinkecualo
Registered User
 
Join Date: Jun 2004
Posts: 3
Thumbs up Re: Installation Error newest driver on Kernel 2.6.8-0.rc1.2

This will be solved if you install latest binutils package from Mandrakelinux Cooker.

You will need packages:
- binutils-2.15.90.0.3-1mdk
- libbinutils2-2.15.90.0.3-1mdk

Download it from any cooker mirror, or add a cooker urpmi source.
asinkecualo is offline   Reply With Quote
Old 07-28-04, 03:56 PM   #4
Pirf2
Registered User
 
Join Date: Jul 2004
Posts: 7
Default Re: Installation Error newest driver on Kernel 2.6.8-0.rc1.2

Yes, thats it. Now it works fine. Driver compiled and installed properly now.

Thanks!
Pirf2
Pirf2 is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
Corrupted display - 302.17 - Dell Precision T3500 (G98 [Quadro NVS 295]) gbailey NVIDIA Linux 1 06-27-12 11:24 AM
UEFI+Nvidia - NVRM: Your system is not currently configured to drive a VGA console... interzoneuk NVIDIA Linux 0 06-26-12 05:51 AM
xorg locks-up with newest nvidia drivers w/ vdpau. theroot NVIDIA Linux 1 06-24-12 12:04 PM
Getting the proprietary nvidia driver to run with Debian 3.0 r0 (woody) Katchina404 NVIDIA Linux 9 01-12-03 09:49 AM
Crash when logout from X TGL NVIDIA Linux 10 09-13-02 09:22 PM

All times are GMT -5. The time now is 11:00 PM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.